SDL_TLSEntry Struct Reference
Collaboration diagram for SDL_TLSEntry:
[legend]

## Data Fields

SDL_threadID | thread
SDL_TLSData * | storage
struct SDL_TLSEntry * | next

## Detailed Description

Definition at line 113 of file SDL_thread.c.

## Field Documentation

## next

struct SDL_TLSEntry* SDL_TLSEntry::next

Definition at line 116 of file SDL_thread.c.

Referenced by SDL_Generic_GetTLSData(), and SDL_Generic_SetTLSData().

## storage

SDL_TLSData* SDL_TLSEntry::storage

Definition at line 115 of file SDL_thread.c.

Referenced by SDL_Generic_GetTLSData(), and SDL_Generic_SetTLSData().

## thread

SDL_threadID SDL_TLSEntry::thread

Definition at line 114 of file SDL_thread.c.

Referenced by SDL_CreateThreadWithStackSize(), SDL_Generic_GetTLSData(), SDL_Generic_SetTLSData(), and SDL_RunThread().

The documentation for this struct was generated from the following file:

- src/thread/SDL_thread.c